clear all; close all; clc %last command optional - clears the command window
dlmread ghquad.dat; 
qd=ans;
format long; %optional

%Solves the consumption based asset pricing model where the net consumption
%growth rate is assumed to follow the AR(1) process and preferences are time 
%non-separable with consumption lagged by one period 

% %*****************************PROGRAM STARTS***************************@

%determine discrete state space 
np=10; %number of points 
zz=0.5*np*(np-1);
qdp=qd (zz+1:zz+np,2) ;
qdw=qd (zz+1:zz+np,3) ;

tic; %time counter



b=[0.0204309205214704; -0.139465369264084];
sig=0.0352185880336648;

gamm=2; %Risk aversion
beta=0.97; %discount factor
delta=0; % time non-separability; delta=0 for power utility



mu=b(1,1)./(1.0-b (2,1)) ;
rho=b(2,1) ;
xp=exp(mu+sig*qdp) ;

tijtrue=discrete(mu,rho,sig,qdp,qdw,np) ; 
ttrue=uncprob(tijtrue); 

imrs=mrs(xp,tijtrue,delta,beta,gamm); imrs
retrue=returns(xp,tijtrue,imrs); retrue



toc  %stop watch




